준호씨의 블로그

워드프레스 업그레이드. 4.3.1 -> 4.9.8. 업그레이드 과정에서 오류 해결. 본문

개발이야기/호스팅관리

워드프레스 업그레이드. 4.3.1 -> 4.9.8. 업그레이드 과정에서 오류 해결.

준호씨 2018.08.27 23:08

오랜만에 서버에 돌리고 있던 wordpress 업그레이드 작업을 진행해 보았다. 그런데 그냥 잘 되지만은 않았다.

일단 아래 글을 참고 했다.
플러그인 설치가 되지 않습니다. 디렉터리를 생성할수 없습니다. 라고 나옵니다. 2015.02.03

플러그인은 아니지만 비슷한 방식이라 생각해서 따라 해 보았다.

wp-content/upgrade

폴더의 권한을 777 로 바꾸어 보았다. 하지만 다른 오류 메시지가 보이면서 실패 하였다.

몇 개의 파일을 복사할 수 없기 때문에 업데이트는 설치할 수 없습니다. 이것은 보통 파일의 퍼미션이 서로 다르기 때문입니다.: wp-admin/includes/update-core.php

이번에는 워드프레스 자동 업데이트 실패 해결 방법 2015.03.12 를 참고 하여 모든 파일 커미션 777 로 바꾸어 보았다. 다음 커맨드를 이용했던거 같은데 기록을 안해놔서 가물가물한데 아마 맞을 것이다.

sudo chmod 777 * -R

그런데 또 오류가 발생하였다.

업데이트 압축 푸는 중.

디렉터리를 생성할 수 없습니다.

설치 실패

일단 다시 시도 해 보았는데, 다시 시도 하니 성공 하였다. 업그레이드 완료 후 디렉토리와 파일 permission 은 다시 기존으로 변경하였다.

sudo find . -type f -exec chmod 644 {} +
sudo find . -type d -exec chmod 755 {} +
0 Comments
댓글쓰기 폼
Prev 1 2 3 4 5 6 7 8 9 Next